Get paginated game configs
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/game-configs \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/game-configs"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/game-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"config": {
"clientBranding": {
"gameTitle": "<string>",
"gameDescription": "<string>",
"clientName": "<string>",
"clientWebsite": "<string>",
"background": {
"image": "<string>",
"color": "<string>"
},
"logo": {
"url": "<string>",
"alt": "<string>"
},
"favicon": "<string>",
"font": "<string>",
"colors": {
"primary": "<string>",
"on-primary": "<string>",
"secondary": "<string>",
"on-secondary": "<string>",
"accent": "<string>",
"on-accent": "<string>"
},
"style": {
"cornerRadius": 123
},
"icons": {
"play": "<string>",
"pause": "<string>",
"restart": "<string>",
"home": "<string>",
"volume": "<string>",
"volume-off": "<string>",
"level-completed": "<string>",
"level-failed": "<string>",
"game-completed": "<string>",
"game-over": "<string>",
"star": "<string>"
}
},
"gameConfig": {
"game": "<string>",
"odds": 0.5,
"scratchCardImage": "<string>",
"backgroundImage": "<string>",
"productImages": [
{
"id": "<string>",
"url": "<string>",
"alt": "<string>",
"winning": true,
"distributionEventId": "<string>"
}
],
"particlesColor": "<string>",
"cardColor": "<string>",
"cardGlowingColor": "<string>",
"cardTextColor": "<string>",
"sounds": {
"win": "<string>",
"lose": "<string>"
}
},
"textContent": {
"loading": {
"title": "<string>",
"subtitle": "<string>",
"progressText": "<string>",
"logoAlt": "<string>"
},
"home": {
"startButton": "<string>",
"loadingText": "<string>",
"preparingText": "<string>",
"features": [
{
"title": "<string>",
"description": "<string>"
}
]
},
"tutorial": {
"title": "<string>",
"subtitle": "<string>",
"startButton": "<string>",
"logoAlt": "<string>",
"instructions": [
{
"icon": "<string>",
"title": "<string>",
"description": "<string>"
}
]
},
"gameUI": {
"soundToggle": {
"enable": "<string>",
"disable": "<string>"
},
"pauseToggle": {
"pause": "<string>",
"resume": "<string>"
}
},
"modals": {
"win": {
"title": "<string>",
"subtitle": "<string>",
"homeButton": "<string>",
"closeButton": "<string>"
},
"lose": {
"title": "<string>",
"subtitle": "<string>",
"homeButton": "<string>",
"closeButton": "<string>"
}
},
"errors": {
"configurationError": "<string>",
"configurationErrorMessage": "<string>",
"retryButton": "<string>",
"imageLoadError": "<string>"
},
"accessibility": {
"playButton": "<string>",
"pauseButton": "<string>",
"homeButton": "<string>",
"progressIndicator": "<string>"
},
"status": {
"gameStarted": "<string>",
"win": "<string>",
"lose": "<string>"
}
}
},
"createdAt": "<string>",
"rewardDistributions": [
{
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
}
],
"maxCompletionsPerPeriod": 1,
"updatedAt": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Game
Get paginated game configs
Retrieve a paginated list of game configurations.
GET
/
game-configs
Get paginated game configs
Authorizations
Headers
The language to return the game configs in. If not provided, the default organisation language is used.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
catch, memory, scratch Was this page helpful?
⌘I

